## org.apache.commons.math.genetics
Class ChromosomePair

    java.lang.Object
      org.apache.commons.math.genetics.ChromosomePair

    public class ChromosomePair

extends java.lang.Object

A pair of `Chromosome` objects.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $

Field Summary
`private Chromosome` `first` the first chromosome in the pair.
`private Chromosome` `second` the second chromosome in the pair.

Constructor Summary
`ChromosomePair(Chromosome c1, Chromosome c2)` Create a chromosome pair.

Method Summary
`Chromosome` `getFirst()` Access the first chromosome.
`Chromosome` `getSecond()` Access the second chromosome.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### first

    private final Chromosome first

  the first chromosome in the pair.

### second

    private final Chromosome second

  the second chromosome in the pair.

Constructor Detail

### ChromosomePair

    public ChromosomePair(Chromosome c1,
                          Chromosome c2)

  Create a chromosome pair.

  Parameters:
    `c1` - the first chromosome.
    `c2` - the second chromosome.

Method Detail

### getFirst

    public Chromosome getFirst()

  Access the first chromosome.

  Returns:
    the first chromosome.

### getSecond

    public Chromosome getSecond()

  Access the second chromosome.

  Returns:
    the second chromosome.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright (c) 2003-2010 Apache Software Foundation